Name:		sl-wizard
Version:	0.5
Release:	2.13
License:	GPL
Summary:	StressLinux sensors wizard
Group:		System
Source0:	select-sensors.sh
Source1:	gen-dialog-sensors.sh
Source2:	i2c.conf
Source3:	sl-sensors.conf
Source4:	sensors-conf.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	dialog sed awk tar bzip2
Requires:	dialog sed awk

%description
sl-wizard is a dialog based interface to lm_sensors
it includes pre defined configurations for various mainboards.

   Author:
   _______
	Carsten Schoene <cs@linux-administrator.com>

%prep
%setup -c -T

%build


%install
%__install -d %{buildroot}/etc/modprobe.d
%__install -d %{buildroot}/etc/sensors
%__install -d %{buildroot}/usr/bin
%__install -m755 %{S:0} %{buildroot}/usr/bin/select-sensors
%__install -m755 %{S:1} %{buildroot}/usr/bin/gen-dialog-sensors.sh
%__install -m644 %{S:2} %{buildroot}/etc/modprobe.d/i2c.conf
%__install -m644 %{S:3} %{buildroot}/etc/sl-sensors.conf
tar -C %{buildroot}/etc/sensors -xjf %{S:4}
cd %{buildroot}%{_bindir}
ln -s select-sensors sl-wizard.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/modprobe.d
%dir %{_sysconfdir}/sensors
%config %{_sysconfdir}/sl-sensors.conf
%config %{_sysconfdir}/modprobe.d/i2c.conf
%attr(0644,root,root) %config %{_sysconfdir}/sensors/*.conf
%{_bindir}/select-sensors
%{_bindir}/gen-dialog-sensors.sh
%{_bindir}/sl-wizard.sh

%changelog
* Tue Apr 06 2010 Carsten Schoene <cs@linux-administrator.com> - 0.5-1
- option 0 starts sensors-detect

* Sun Aug 02 2009 Carsten Schoene <cs@linux-administrator.com> - 0.4-1
- initial rpm build
